##
##  nntpcache.spec -- OpenPKG RPM Specification
##  Copyright (c) 2000-2003 Cable & Wireless Deutschland GmbH
##  Copyright (c) 2000-2003 The OpenPKG Project <http://www.openpkg.org/>
##  Copyright (c) 2000-2003 Ralf S. Engelschall <rse@engelschall.com>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         nntpcache
Summary:      NNTP Caching Proxy
URL:          http://www.nntpcache.org/
Vendor:       Julian Assange, Luke Bowker
Packager:     The OpenPKG Project
Distribution: OpenPKG [BASE]
Group:        News
License:      BSD
Version:      3.0.1
Release:      20020405

#   list of sources
Source0:      ftp://ftp.nntpcache.org/pub/nntpcache/nntpcache-%{version}.tar.gz

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20020206, make
PreReq:       OpenPKG, openpkg >= 20020206
AutoReq:      no
AutoReqProv:  no

%description
    NNTPCache (efficiently) executes on the localhost pretending to
    be an NNRP news reading server. In fact, what it does is pass
    certain NNTP commands through to real (remote and possibly local)
    news-servers based on various pattern matching rules. NNTPCache
    then takes the output from those servers and caches & indexes it in
    funky ways (much case specific magic goes into this). The next time
    such information is asked for, or other information which can be
    logically inferred from the previously collated information, it is
    sent directly from the cache, without consulting the remote servers.

%prep
    %setup -q
    %{l_shtool} subst -e 's;test -e;test -f;g' Makefile* */Makefile*

%build
    CC="%{l_cc}" \
    CFLAGS="%{l_cflags -O}" \
    ./configure \
        --prefix=%{l_prefix} \
        --sysconfdir=%{l_prefix}/etc/nntpcache \
        --localstatedir=%{l_prefix}/var/nntpcache
    %{l_make} %{l_mflags}

%install
    rm -rf $RPM_BUILD_ROOT
    %{l_shtool} subst \
        -e "s;chown;true;g" -e "s;chgrp;true;g" \
        `find . -type f -name Makefile -print`
    %{l_make} %{l_mflags} install \
        prefix=$RPM_BUILD_ROOT%{l_prefix} \
        exec_prefix=$RPM_BUILD_ROOT%{l_prefix} \
        sysconfdir=$RPM_BUILD_ROOT%{l_prefix}/etc/nntpcache \
        configDir=$RPM_BUILD_ROOT%{l_prefix}/etc/nntpcache \
        localstatedir=$RPM_BUILD_ROOT%{l_prefix}/var/nntpcache \
        cacheDir=$RPM_BUILD_ROOT%{l_prefix}/var/nntpcache
    rm -rf $RPM_BUILD_ROOT%{l_prefix}/include
    rm -rf $RPM_BUILD_ROOT%{l_prefix}/etc/nntpcache/http
    rm -rf $RPM_BUILD_ROOT%{l_prefix}/bin
    rm -rf $RPM_BUILD_ROOT%{l_prefix}/sbin/innreport.sh
    rm -f $RPM_BUILD_ROOT%{l_prefix}/etc/nntpcache/pubring*
    rm -f $RPM_BUILD_ROOT%{l_prefix}/etc/nntpcache/innreport*
    strip $RPM_BUILD_ROOT%{l_prefix}/sbin/* >/dev/null 2>&1 || true
    ( cd $RPM_BUILD_ROOT%{l_prefix}/etc/nntpcache
      for file in *-dist; do
          mv $file `echo $file | sed -e 's;-dist$;;'`
      done
    )
    find $RPM_BUILD_ROOT%{l_prefix} -type d -print | xargs chmod 755
    find $RPM_BUILD_ROOT%{l_prefix} -type f -print | xargs chmod 644
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

